$NetBSD$

--- contrib/gpg2_update.sh.orig	2010-08-31 00:25:16.000000000 +0200
+++ contrib/gpg2_update.sh	2010-08-31 00:26:27.000000000 +0200
@@ -22,10 +22,10 @@
 # copy the old database
 if [ -f aide.db ]; then
     newfile="aide-`hostname`-`date +%Y%m%d-%H%M%S`.db"
-    if [ "${usegpg}" == 1 -a -f aide.db.sig ]; then
+    if [ "${usegpg}" = 1 -a -f aide.db.sig ]; then
         # do an integrity check
 	gpg --verify aide.db.sig
-	if [ "$?" == "1" ]; then
+	if [ "$?" = "1" ]; then
 	    echo "************************************************************"
 	    echo "GPG signature FAILED!  Your database has been tampered with!"
 	    echo "************************************************************"
@@ -34,11 +34,11 @@
     fi
     cp -av aide.db ${newfile} 
     /usr/sbin/aide --update -B "database=file:/var/lib/aide/${newfile}" 
-    if [ "${usegpg}" == "1" ]; then
+    if [ "${usegpg}" = "1" ]; then
 	# create the signature file
 	[[ -f aide.db.sig ]] && rm -f aide.db.sig
         gpg --detach-sign aide.db
-	if [ "$?" == "1" ]; then
+	if [ "$?" = "1" ]; then
 	    echo "FATAL:  Error occurred when creating the signature file!"
 	    exit 1
 	fi
